Subject: Re: [PATCH RFC net-next] net: phy: add Marvell PHY PTP support [multicast/DSA issues]

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 27 Feb 2023 15:20:05 +0000

On Mon, Feb 27, 2023 at 03:40:37PM +0100, Köry Maincent wrote:
> Hello RMK,
> 
> > Hence why I'm at the point of giving up; I don't see that PTP will be
> > of very limited benefit on my network with all these issues, and in
> > any case, NTP has been "good enough" for the last 20+ years.  Given
> > that only a limited number of machines will be able to implement PTP
> > support anyway, NTP will have to run along side it.
> 
> I see this patch has been abandoned.
> I am testing it with a ZynqMP board (macb ethernet) and it seems to more or
> less work. It got tx timestamp timeout at initialization but after some times
> (~20 seconds) ptp4l manages to set it working. Also the IEEE 802.3
> network PTP mode is not working, it constantly throw rx timestamp overrun
> errors.
> I will aim at fixing these issues and adding support to interrupts. It would be
> good to have it accepted mainline. What do you think is missing for that?

It isn't formally abandoned, but is permanently on-hold as merging
Marvell PHY PTP support into mainline _will_ regress the superior PTP
support on the Macchiatobin platform for the reasons outlined in:

https://lore.kernel.org/netdev/[email-masked]/

Attempting to fix this problem was basically rejected by the PTP
maintainer, and thus we're at a deadlock over the issue, and Marvell
PHY PTP support can never be merged into mainline.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!